Page MenuHomePhabricator

create new notification type for the article reminder
Closed, ResolvedPublic

Description

For wording, see T168385: Determine language/i18n for Article Reminder notifications.

Basic information

  • Purpose of the notification: Remind the user about a page, with optional user-specified reminder text
  • Notification name: Page reminder
  • What triggers notification?: Time-based, when a user-specified amount of time elapses.
  • "Notice" or "Alert"?: Notices
  • Notification type (standard, bundled, expandable bundle): To Be Determined: T170731: Determine bundling behavior for page reminder notifications

Links

  • Primary link target: Page you requested a reminder for

Icon

Event Timeline

Eee888 created this task.May 19 2017, 1:14 PM
Johan added a subscriber: Johan.

(Assuming this was included because the parent task was tagged so and all tasks were left as they were for the parent task; if there's a specific reason to include user-notice for this subtask, please re-add it and explain.)

Johan removed a subscriber: Johan.May 19 2017, 8:46 PM
Quiddity renamed this task from create new notification type for the article remainder to create new notification type for the article reminder.May 19 2017, 10:27 PM
Schnark removed a subscriber: Schnark.May 22 2017, 7:58 AM

There are some questions to resolve, including:

Quiddity removed a subscriber: Quiddity.Jun 1 2017, 9:03 PM

Change 355797 had a related patch set uploaded (by Foxy brown; owner: Foxy brown):
[mediawiki/extensions/Echo@master] new notification type was added and works with feature flag (enables=false)

https://gerrit.wikimedia.org/r/355797

Change 355797 had a related patch set uploaded (by Foxy brown; owner: Foxy brown):
[mediawiki/extensions/Echo@master] Adding the first step in order to enable the visualization of the feature.

https://gerrit.wikimedia.org/r/355797

Change 355797 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Adding the first step in order to enable the visualization of the Article Reminder feature.

https://gerrit.wikimedia.org/r/355797

Mattflaschen-WMF closed this task as Resolved.Jun 30 2017, 5:30 PM

It's still notices, which I think is correct.

Since this is something the user intentionally delayed (for typically days), it fits "Notices are for notifications that do not have to be dealt with promptly, e.g. a thank."

However, we can always change it later if product disagrees (though I think there is a script to run).